# === Class: ifort::params
#
class ifort::params {
  case $::osfamily {
    'Debian': {
      if $::operatingsystem == 'Debian' and versioncmp($::operatingsystemrelease, '7.0') >= 0 {

        ## Packages
        # Dependencies packages
        $dep_pkg_name               = [ 'rpm', 'build-essential' ]
        $dep_pkg_ensure             = 'present'  # Useless if use is_ifort instead
        $dep_pkg_manage             = true

        ## Archives
        # Compiler
        $ifort_pkg_url              = ''
        $ifort_pkg_path             = ''
        $ifort_install_tmp_path     = '/opt'
        $ifort_install_script_path  = '/opt/l_fcompxe_2015.2.164/install.sh'

      }
    }
  }



} # Private class ifort::params
